from django.urls import path

from ..core.middleware.auth import django_view_authentication_exempt

from . import views

app_name = "sso"
urlpatterns = [
    path(r"login/", django_view_authentication_exempt(views.signin), name="login"),
    path(r"signup/", django_view_authentication_exempt(views.signup), name="signup"),
    path(
        r"callback/",
        django_view_authentication_exempt(views.authorize_signin),
        name="authorize",
    ),
]
